### Function

# Ggit CredAcquireCallback

#### Declaration

    gint
    (* GgitCredAcquireCallback) (
      const gchar* url,
      const gchar* username_from_url,
      guint allowed_types,
      GgitCred** cred,
      gpointer user_data
    )

#### Description [src]

Signature of a function which acquires a credential object.

#### Parameters

`url`

  Type: `const gchar*`

  The resource for which we are demanding a credential.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`username_from_url`

  Type: `const gchar*`

  The username that was embedded in a “user@host” remote url, or NULL if not included.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`allowed_types`

  Type: `guint`

  A bitmask stating which cred types are OK to return.

`cred`

  Type: `GgitCred`

  Newly created credential object.

  The called function takes ownership of the data, and is responsible for freeing it.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

No description available.